$(function() {

    //Wait for Pinegrow to wake-up
    $("body").one("pinegrow-ready", function(e, pinegrow) {

        //Create new Pinegrow framework object
        var f = new PgFramework("start_UserLib", "start_UserLib");

        //This will prevent activating multiple versions of this framework being loaded
        f.type = "start_UserLib";
        f.allow_single_type = true;
        f.user_lib = true

        var comp_comp1 = new PgComponentType('comp1', 'Comp 1 / li');
        comp_comp1.code = '<li class="event" data-date="65 million B.C.">\
    <h3>Heading 3</h3>\
    <p>Paragraph</p>\
</li>';
        comp_comp1.parent_selector = 'ul,ol';
        f.addComponentType(comp_comp1);
        
        //Tell Pinegrow about the framework
        pinegrow.addFramework(f);
            
        var section = new PgFrameworkLibSection("start_UserLib_lib", "Components");
        //Pass components in array
        section.setComponentTypes([comp_comp1]);

        f.addLibSection(section);
   });
});